Bug 19550 - Add links to related authorities for UNIMARC
Summary: Add links to related authorities for UNIMARC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-31 12:37 UTC by Julian Maurice
Modified: 2018-09-11 09:05 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19550: Add links to related authorities for UNIMARC (3.28 KB, patch)
2017-10-31 12:38 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 19550: Add links to related authorities for UNIMARC (3.32 KB, patch)
2018-03-14 14:23 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 19550: Add links to related authorities for UNIMARC (3.38 KB, patch)
2018-08-23 06:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19550: (RM follow-up) Add filters (1.97 KB, patch)
2018-09-06 14:34 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19550: (QA follow-up on RM follow-up) Add missing [% USE %] (826 bytes, patch)
2018-09-07 15:09 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2017-10-31 12:37:32 UTC
Links exist in search results for MARC21 but not for UNIMARC.
Comment 1 Julian Maurice 2017-10-31 12:38:38 UTC
Created attachment 68856 [details] [review]
Bug 19550: Add links to related authorities for UNIMARC

Links exist in search results for MARC21 but not for UNIMARC.
This patch fixes that.

Test plan:
1. Create an authority with a field 550 that links to another authority
   e.g. 550 $a Foo $9 42
2. Reindex this authority
3. Search for this authority
4. See that you now have a link "Foo" to authorities/detail.pl?authid=42
   in the summary
Comment 2 sandboxes@biblibre.com 2018-03-14 14:23:10 UTC
Patch tested with a sandbox, by delaye <stephane.delaye@biblibre.com>
Comment 3 sandboxes@biblibre.com 2018-03-14 14:23:32 UTC
Created attachment 72871 [details] [review]
Bug 19550: Add links to related authorities for UNIMARC

Links exist in search results for MARC21 but not for UNIMARC.
This patch fixes that.

Test plan:
1. Create an authority with a field 550 that links to another authority
   e.g. 550 $a Foo $9 42
2. Reindex this authority
3. Search for this authority
4. See that you now have a link "Foo" to authorities/detail.pl?authid=42
   in the summary

Signed-off-by: delaye <stephane.delaye@biblibre.com>
Comment 4 Katrin Fischer 2018-04-16 20:27:36 UTC
Failing a bit getting a UNIMARC db up right now.
Comment 5 Katrin Fischer 2018-08-23 06:29:04 UTC
Created attachment 78089 [details] [review]
Bug 19550: Add links to related authorities for UNIMARC

Links exist in search results for MARC21 but not for UNIMARC.
This patch fixes that.

Test plan:
1. Create an authority with a field 550 that links to another authority
   e.g. 550 $a Foo $9 42
2. Reindex this authority
3. Search for this authority
4. See that you now have a link "Foo" to authorities/detail.pl?authid=42
   in the summary

Signed-off-by: delaye <stephane.delaye@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2018-08-23 06:29:20 UTC
Ended up testing on a sandbox, but worked well there :)
Comment 7 Nick Clemens 2018-08-31 13:02:49 UTC
I think the template variables need the $raw filter, they are set within the templaet itself so should be safe, but we need filters to keep tests happy
Comment 8 Nick Clemens 2018-09-06 14:34:22 UTC
Created attachment 78490 [details] [review]
Bug 19550: (RM follow-up) Add filters
Comment 9 Nick Clemens 2018-09-06 14:35:01 UTC
I can't get a UNIMARC db working right now, can you verify the followup works Julian? If so I will push
Comment 10 Julian Maurice 2018-09-07 15:09:26 UTC
Created attachment 78530 [details] [review]
Bug 19550: (QA follow-up on RM follow-up) Add missing [% USE %]
Comment 11 Julian Maurice 2018-09-07 15:10:31 UTC
(In reply to Nick Clemens from comment #9)
> I can't get a UNIMARC db working right now, can you verify the followup
> works Julian? If so I will push

With my additional follow-up, it works ;)
Comment 12 Nick Clemens 2018-09-07 16:05:04 UTC
Awesome work all!

Pushed to master for 18.11
Comment 13 Martin Renvoize 2018-09-11 09:05:03 UTC
Enhancement, will not be backported t 18.05.x series.